import gql from 'graphql-tag';

const EDITOR_CONTEXT_FRAGMENT = gql`
    fragment context on Context {
        resource
        resourceSet
        resourceScheme
        resourceLangId
        resourceExtName
        resourceFilename
        isFileSystemResource
    }
`;

const resolvers = {
    Query: {
        getContextProperty(_, { key }, { cache, getCacheKey }) {
            try {
              const data = cache.readFragment({
                fragment: EDITOR_CONTEXT_FRAGMENT,
                  id: getCacheKey({ __typename: 'Context', id: 1 }),
              });
              console.log('[ha5sb]: ', { data, cache });
              return data;
            } catch (err) {
              console.log('[ha5sb]: ', { error: err });
            }
        },
    },
    Mutation: {
        updateContext: (_, args, { cache }) => {

        },
    },
};

export { resolvers };
